> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Discover Snyk organizations

> Validate Snyk service-account credentials and list accessible organizations.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public post /v1/integrations/providers/snyk/organizations
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/integrations/providers/snyk/organizations:
    post:
      tags:
        - Integrations
      summary: Discover Snyk organizations
      description: >-
        Validate Snyk service-account credentials and list accessible
        organizations.
      operationId: discoverSnykOrganizations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                clientId:
                  type: string
                  minLength: 1
                  maxLength: 16384
                clientSecret:
                  type: string
                  minLength: 1
                  maxLength: 65536
                cursor:
                  type: string
                  minLength: 1
                  maxLength: 2048
                limit:
                  type: integer
                  minimum: 1
                  maximum: 100
                  default: 50
              required:
                - clientId
                - clientSecret
              additionalProperties: false
      responses:
        '200':
          description: Discover Snyk organizations
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type:
                            - string
                            - 'null'
                        slug:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - name
                        - slug
                      additionalProperties: false
                    maxItems: 100
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    minLength: 1
                    maxLength: 2048
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller cannot perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Integration not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Integration conflict or unsupported operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Integration operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Integration provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Integration provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.